Sequencers

Retry failed exports

POST
/v1/sequencer-exports/retry

Retries up to 500 failed exports; each that cannot be is listed with why.

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from the Developers page. rhq_test_ keys reach the sandbox, rhq_live_ keys the live side.

Request Body

application/json
  1. body
ids*array<string>
Items1 <= items <= 500

Response Body

Success

application/json
  1. response

Success

retried*array<>
skipped*array<>
curl -X POST "https://example.com/v1/sequencer-exports/retry" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "sqe_01K6XJ4Q8ZT3M9R5V2B7WDHNCA"    ]  }'
{  "retried": [    {      "id": "sqe_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",      "connectionId": "sqn_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",      "connectionName": "Acme Instantly",      "platform": "instantly",      "mailboxId": "mbx_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",      "mailboxDomainId": "mdm_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",      "email": "jo@northwind-mail.com",      "domain": "northwind-mail.com",      "status": "queued",      "step": "wait_mailbox",      "reason": "api_key_invalid",      "reasonMessage": "string",      "retrying": true,      "lastError": {        "step": "string",        "code": "string",        "message": "string",        "at": "2026-10-30T11:04:31.000Z"      },      "nextRunAt": "2026-10-30T11:04:31.000Z",      "accountId": "string",      "completedAt": "2026-10-30T11:04:31.000Z",      "removedAt": "2026-10-30T11:04:31.000Z",      "createdAt": "2026-10-30T11:04:31.000Z",      "updatedAt": "2026-10-30T11:04:31.000Z"    }  ],  "skipped": [    {      "id": "string",      "reason": "not_found",      "message": "string"    }  ]}